PullHuaweiIMasterController
PullHuaweiIMasterController
/zstack/v1/sdn-controller/huawei-imaster/{uuid}/actionsOperation ID
PullHuaweiIMasterControllerSince
5.4.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringOptional. The resource UUID.
Body Fields
thepullHuaweiIMasterControllerObjectRequiredthepullHuaweiIMasterController request body object.
pullSwitchbooleanOptional. Whether to pull the switch information.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
200 OKOn success, this API returns the following response structure.
successbooleanRequiredWhether the operation succeeded.
inventoriesListRequiredSee inventories.
uuidStringRequiredThe resource UUID.
vendorTypeStringRequiredThe vendor type.
nameStringRequiredThe resource name.
descriptionStringRequiredThe detailed description of the resource.
ipStringRequiredThe IP address.
usernameStringRequiredThe username.
passwordStringRequiredThe password.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
fabricsListRequiredSee fabrics.
uuidStringRequiredThe resource UUID.
nameStringRequiredThe resource name.
descriptionStringRequiredThe detailed description of the resource.
sdnControllerUuidStringRequiredThe SDN controller UUID.
deletedBooleanRequiredThe deletion flag.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
tenantsListRequiredSee tenants.
uuidStringRequiredThe resource UUID.
nameStringRequiredThe resource name.
descriptionStringRequiredThe detailed description of the resource.
fabricIdsStringRequiredThe fabric IDs.
sdnControllerUuidStringRequiredThe sdn controller UUID.
deletedBooleanRequiredThe deleted.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
vpcsListRequiredSee vpcs.
uuidStringRequiredThe resource UUID.
nameStringRequiredThe resource name.
descriptionStringRequiredThe detailed description of the resource.
tenantIdStringRequiredThe tenant ID.
fabricIdStringRequiredThe fabric ID.
sdnControllerUuidStringRequiredThe SDN controller UUID.
deletedBooleanRequiredThe deletion flag.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
vroutersListRequiredSee vrouters.
uuidStringRequiredThe resource UUID.
nameStringRequiredThe resource name.
descriptionStringRequiredThe detailed description of the resource.
logicalNetworkIdStringRequiredThe logical network ID.
tenantIdStringRequiredThe tenant ID.
fabricUuidStringRequiredThe fabric UUID.
deletedBooleanRequiredThe deleted.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
statusSdnControllerStatusRequiredSee status.
ConnectingSdnControllerStatusRequiredConnecting.
ConnectedSdnControllerStatusRequiredConnected.
DisconnectedSdnControllerStatusRequiredDisconnected.
vniRangesListRequiredSee vniRanges.
startVniIntegerRequiredThe start VNI.
endVniIntegerRequiredThe end VNI.
vxlanPoolsListRequiredSee vxlanPools.
sdnControllerUuidStringRequiredThe sdn controller UUID.
attachedCidrsMapRequiredThe attached cidrs.
uuidStringRequiredThe resource UUID.
nameStringRequiredThe resource name.
descriptionStringRequiredThe detailed description of the resource.
zoneUuidStringRequiredThe zone UUID.
physicalInterfaceStringRequiredThe physical interface.
typeStringRequiredThe resource type.
vSwitchTypeStringRequiredThe v switch type.
virtualNetworkIdIntegerRequiredThe virtual network ID.
isolatedBooleanRequiredThe isolated.
pvlanStringRequiredThe pvlan.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
attachedClusterUuidsListRequiredThe attached cluster UUIDs.
attachedVtepRefsListRequiredSee attachedVtepRefs.
uuidStringRequiredThe resource UUID.
hostUuidStringRequiredThe host UUID.
vtepIpStringRequiredThe VTEP IP.
portIntegerRequiredThe port.
typeStringRequiredThe resource type.
physicalInterfaceStringRequiredThe physical interface.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
poolUuidStringRequiredThe VXLAN pool UUID.
remoteVtepsListRequiredSee remoteVteps.
uuidStringRequiredThe resource UUID.
clusterUuidStringRequiredThe cluster UUID.
vtepIpStringRequiredThe VXLAN Tunnel Endpoint.
portIntegerRequiredThe port.
typeStringRequiredThe type.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
poolUuidStringRequiredThe UUID of the VXLAN resource pool.
attachedVxlanNetworkRefsListRequiredSee attachedVxlanNetworkRefs.
vniIntegerRequiredThe VNI number.
poolUuidStringRequiredThe VXLAN pool UUID.
uuidStringRequiredThe resource UUID.
nameStringRequiredThe resource name.
descriptionStringRequiredThe detailed description or the resource.
zoneUuidStringRequiredThe zone UUID.
physicalInterfaceStringRequiredThe physical NIC.
typeStringRequiredThe L2 network type.
vSwitchTypeStringRequiredThe v switch type.
virtualNetworkIdIntegerRequiredThe virtual network ID.
isolatedBooleanRequiredThe isolated.
pvlanStringRequiredThe pvlan.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
attachedClusterUuidsListRequiredThe attached cluster UUID list.
attachedVniRangesListRequiredSee attachedVniRanges.
uuidStringRequiredThe resource UUID.
nameStringRequiredThe resource name.
descriptionStringRequiredThe detailed description of the resource.
startVniIntegerRequiredThe start VNI.
endVniIntegerRequiredThe end VNI.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
l2NetworkUuidStringRequiredThe L2 network UUID.
hostRefsListRequiredSee hostRefs.
sdnControllerUuidStringRequiredThe resource UUID.
hostUuidStringRequiredThe physical server UUID.
vSwitchTypeStringRequiredThe virtual switch type.
vtepIpStringRequiredThe physical server VTEP IP address.
nicPciAddressesStringRequiredThe mapping of physical NICs to PCI addresses.
nicDriversStringRequiredThe mapping of physical NICs to driver types.
netmaskStringRequiredThe netmask of the physical server's VTEP IP.
bondModeStringRequiredThe bonding mode of the physical NICs.
lacpModeStringRequiredThe LACP mode of the physical NICs.
errorErrorCodeRequiredError code, null if operation succeeds, non-null if operation fails, see error.
codeStringRequiredThe error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.
descriptionStringRequiredThe brief description of the error.
detailsStringRequiredThe details about the error.
elaborationStringRequiredThe reserved field. Default value: null.
opaqueLinkedHashMapRequiredThe reserved field. Default value: null.
causeErrorCodeRequiredThe root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.
